Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.util
Class OWLBrowserSlotPattern

    java.lang.Object
      edu.stanford.smi.protege.model.BrowserSlotPattern
          edu.stanford.smi.protegex.owl.util.OWLBrowserSlotPattern

    public class OWLBrowserSlotPattern

extends edu.stanford.smi.protege.model.BrowserSlotPattern

The OWL browser slot pattern used to display the name of OWL elements. It treats the RDFSLiterals in a special manner based on the default language.

Author:
  ttania

Constructor Summary
`OWLBrowserSlotPattern(edu.stanford.smi.protege.model.BrowserSlotPattern pattern)`
`OWLBrowserSlotPattern(List elements)`
`OWLBrowserSlotPattern(edu.stanford.smi.protege.model.Slot slot)`

Method Summary
`String` | `getBrowserText(edu.stanford.smi.protege.model.Instance instance)`
`String` | `toString()`

Methods inherited from class edu.stanford.smi.protege.model.BrowserSlotPattern
`contains, createFromSerialization, equals, getElements, getFirstSlot, getSerialization, getSlots, hashCode, isSimple, replaceSlot`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OWLBrowserSlotPattern

    public OWLBrowserSlotPattern(edu.stanford.smi.protege.model.BrowserSlotPattern pattern)

### OWLBrowserSlotPattern

    public OWLBrowserSlotPattern(List elements)

### OWLBrowserSlotPattern

    public OWLBrowserSlotPattern(edu.stanford.smi.protege.model.Slot slot)

Method Detail

### getBrowserText

    public String getBrowserText(edu.stanford.smi.protege.model.Instance instance)

  Overrides:
    `getBrowserText` in class `edu.stanford.smi.protege.model.BrowserSlotPattern`

### toString

    public String toString()

  Overrides:
    `toString` in class `edu.stanford.smi.protege.model.BrowserSlotPattern`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.